#!/bin/bash

trap "" 15

install_path=`cat /var/log/version_control`
cd $install_path

export JHSE_SAFE_PATH=$install_path

export LC_ALL=C
export LANG=C

yunsuo_kernel_version=`cat $JHSE_SAFE_PATH/runlog/kernel_version`
os_complete_kernel_version=`uname -r`

if [ "$os_complete_kernel_version"x != "$yunsuo_kernel_version"x ];then
	if [ -f $JHSE_SAFE_PATH/ubuntu ] || [ -f $JHSE_SAFE_PATH/suse ];then
		os_kernel_version=`uname -r | awk -F'-' '{print $1"-"$2}'`
	else
		os_kernel_version=`uname -r | awk -F'.' '{print $1"."$2"."$3}'`
	fi

	if [ "$os_kernel_version"x != "$yunsuo_kernel_version"x ];then
		echo "kernel version dismatch: [$os_kernel_version|$yunsuo_kernel_version]" >> $JHSE_SAFE_PATH/runlog/kernel_diff
		rm -rf $JHSE_SAFE_PATH/*.ko
	else
		echo "kernel_version match"
	fi
else
	echo "kernel version match"
fi

./Update kernel

server_name=`cat command_control | grep server_name | grep -v grep | awk '{print $2}'`
#以命名行方式运行
#./${server_name} -c config.xml -l runlog/run_log.log -e "ALL" -t "ALL" -s safe -m cmdline
#以后台方式运行
./${server_name} -c config.xml -l runlog/run_log.log -e "ALL" -t "ALL" -s safe -m daemon
